org.bdgenomics.adam.models

# OptionalPositionOrdering

#### object OptionalPositionOrdering extends OptionalReferenceOrdering[ReferencePosition]

Linear Supertypes
OptionalReferenceOrdering[ReferencePosition], Ordering[Option[ReferencePosition]], PartialOrdering[Option[ReferencePosition]], Equiv[Option[ReferencePosition]], Serializable, Serializable, Comparator[Option[ReferencePosition]], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. OptionalPositionOrdering
2. OptionalReferenceOrdering
3. Ordering
4. PartialOrdering
5. Equiv
6. Serializable
7. Serializable
8. Comparator
9. AnyRef
10. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val baseOrdering: PositionOrdering.type

   Definition Classes
     OptionalPositionOrdering → OptionalReferenceOrdering

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def compare(a: Option[ReferencePosition], b: Option[ReferencePosition]): Int

   Definition Classes
     OptionalReferenceOrdering → Ordering → Comparator

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def equiv(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering → Equiv

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def gt(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

16. #### def gteq(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def lt(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

20. #### def lteq(x: Option[ReferencePosition], y: Option[ReferencePosition]): Boolean

    Definition Classes
      Ordering → PartialOrdering

21. #### def max(x: Option[ReferencePosition], y: Option[ReferencePosition]): Option[ReferencePosition]

    Definition Classes
      Ordering

22. #### def min(x: Option[ReferencePosition], y: Option[ReferencePosition]): Option[ReferencePosition]

    Definition Classes
      Ordering

23. #### implicit def mkOrderingOps(lhs: Option[ReferencePosition]): Ops

    Definition Classes
      Ordering

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def on[U](f: (U) ⇒ Option[ReferencePosition]): Ordering[U]

    Definition Classes
      Ordering

28. #### def reverse: Ordering[Option[ReferencePosition]]

    Definition Classes
      Ordering → PartialOrdering

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def tryCompare(x: Option[ReferencePosition], y: Option[ReferencePosition]): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from OptionalReferenceOrdering[ReferencePosition]

### Inherited from Ordering[Option[ReferencePosition]]

### Inherited from PartialOrdering[Option[ReferencePosition]]

### Inherited from Equiv[Option[ReferencePosition]]

### Inherited from Serializable

### Inherited from Comparator[Option[ReferencePosition]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped